Open CASCADE Technology: BlendFunc Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
BlendFunc Class Reference

This package provides a set of generic functions, that can instantiated to compute blendings between two surfaces (Constant radius, Evolutive radius, Ruled surface). More...

`#include <BlendFunc.hxx>`

## Static Public Member Functions
static void | GetShape (const BlendFunc_SectionShape SectShape, const Standard_Real MaxAng, Standard_Integer &NbPoles, Standard_Integer &NbKnots, Standard_Integer &Degree, Convert_ParameterisationType &TypeConv)
static void | Knots (const BlendFunc_SectionShape SectShape, TColStd_Array1OfReal &TKnots)
static void | Mults (const BlendFunc_SectionShape SectShape, TColStd_Array1OfInteger &TMults)
static void | GetMinimalWeights (const BlendFunc_SectionShape SectShape, const Convert_ParameterisationType TConv, const Standard_Real AngleMin, const Standard_Real AngleMax, TColStd_Array1OfReal &Weigths)
static GeomAbs_Shape | NextShape (const GeomAbs_Shape S)
| Used to obtain the next level of continuity. More...
static Standard_Boolean | ComputeNormal (const Handle< Adaptor3d_HSurface > &Surf, const gp_Pnt2d &p2d, gp_Vec &Normal)
static Standard_Boolean | ComputeDNormal (const Handle< Adaptor3d_HSurface > &Surf, const gp_Pnt2d &p2d, gp_Vec &Normal, gp_Vec &DNu, gp_Vec &DNv)

## Detailed Description

This package provides a set of generic functions, that can instantiated to compute blendings between two surfaces (Constant radius, Evolutive radius, Ruled surface).

## Member Function Documentation

static Standard_Boolean BlendFunc::ComputeDNormal | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const gp_Pnt2d & | p2d,
|  | gp_Vec & | Normal,
|  | gp_Vec & | DNu,
|  | gp_Vec & | DNv
| ) |  |
| static

static Standard_Boolean BlendFunc::ComputeNormal | ( | const Handle< Adaptor3d_HSurface > & | Surf,
|  | const gp_Pnt2d & | p2d,
|  | gp_Vec & | Normal
| ) |  |
| static

static void BlendFunc::GetMinimalWeights | ( | const BlendFunc_SectionShape | SectShape,
|  | const Convert_ParameterisationType | TConv,
|  | const Standard_Real | AngleMin,
|  | const Standard_Real | AngleMax,
|  | TColStd_Array1OfReal & | Weigths
| ) |  |
| static

static void BlendFunc::GetShape | ( | const BlendFunc_SectionShape | SectShape,
|  | const Standard_Real | MaxAng,
|  | Standard_Integer & | NbPoles,
|  | Standard_Integer & | NbKnots,
|  | Standard_Integer & | Degree,
|  | Convert_ParameterisationType & | TypeConv
| ) |  |
| static

static void BlendFunc::Knots | ( | const BlendFunc_SectionShape | SectShape,
|  | TColStd_Array1OfReal & | TKnots
| ) |  |
| static

static void BlendFunc::Mults | ( | const BlendFunc_SectionShape | SectShape,
|  | TColStd_Array1OfInteger & | TMults
| ) |  |
| static

static GeomAbs_Shape BlendFunc::NextShape | ( | const GeomAbs_Shape | S | ) |
| static

Used to obtain the next level of continuity.

The documentation for this class was generated from the following file:

- BlendFunc.hxx